Class CloudRouterOperator.CloudRouterBuilder
java.lang.Object
com.eqixiac.equinix.fabric.model.json.creators.CloudRouterOperator.CloudRouterBuilder
- Enclosing class:
CloudRouterOperator
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionaccountNumber(Long accountNumber) create()dryRun()Marks this create as a dry run: the request is sent with the spec'sdryRun=truequery parameter ("option to verify that API calls will succeed"; boolean, defaultfalse).marketplaceSubscription(MarketplaceSubscriptionType type, String uuid) Orders this Fabric Cloud Router via a cloud marketplace subscription.notification(NotificationType type, List<String> emails) Adds a notification preference (specSimplifiedNotification).Sets the full order details, including an optional term commitment.purchaseOrderNumber(String purchaseOrderNumber) withPackage(GatewayPackageCode packageCode) Sets the cloud router package tier (specCloudRouterPostRequestPackage.code:LAB,BASIC,STANDARD,ADVANCEDorPREMIUM).
-
Constructor Details
-
CloudRouterBuilder
public CloudRouterBuilder()
-
-
Method Details
-
name
-
inMetro
-
inMetro
-
withPackage
Sets the cloud router package tier (specCloudRouterPostRequestPackage.code:LAB,BASIC,STANDARD,ADVANCEDorPREMIUM).- Parameters:
packageCode- the package code- Returns:
- this builder
-
purchaseOrderNumber
-
order
public CloudRouterOperator.CloudRouterBuilder order(String purchaseOrderNumber, Integer termLength, String customerReferenceNumber) Sets the full order details, including an optional term commitment.- Parameters:
purchaseOrderNumber- the purchase order number, ornulltermLength- term length in months (1, 12, 24 or 36), ornullcustomerReferenceNumber- the customer reference number, ornull- Returns:
- this builder
-
marketplaceSubscription
public CloudRouterOperator.CloudRouterBuilder marketplaceSubscription(MarketplaceSubscriptionType type, String uuid) Orders this Fabric Cloud Router via a cloud marketplace subscription.- Parameters:
type- the subscription type (e.g.AWS_MARKETPLACE_SUBSCRIPTION)uuid- the subscription identifier- Returns:
- this builder
-
projectId
-
accountNumber
-
notification
public CloudRouterOperator.CloudRouterBuilder notification(NotificationType type, List<String> emails) Adds a notification preference (specSimplifiedNotification).- Parameters:
type- the notification typeemails- the contact emails- Returns:
- this builder
-
dryRun
Marks this create as a dry run: the request is sent with the spec'sdryRun=truequery parameter ("option to verify that API calls will succeed"; boolean, defaultfalse). Nothing is provisioned —create()returns the validated request echoed back by the API with nouuid/href/state(spec exampleCloudRouterResponseExampleDryRun).- Returns:
- this builder
-
create
-